diff -u coreutils-6.0/debian/patches/60_syntaxdeprecations coreutils-6.9/debian/patches/60_syntaxdeprecations
--- coreutils-6.0/debian/patches/60_syntaxdeprecations
+++ coreutils-6.9/debian/patches/60_syntaxdeprecations
@@ -1,5 +1,5 @@
---- coreutils-6.0/src/tail.c.orig	2006-05-27 09:08:25.594209539 -0400
-+++ coreutils-6.0/src/tail.c	2006-05-27 09:13:32.219736766 -0400
+--- coreutils-6.9/src/tail.c.orig	2006-05-27 09:08:25.594209539 -0400
++++ coreutils-6.9/src/tail.c	2006-05-27 09:13:32.219736766 -0400
 @@ -1401,7 +1401,7 @@
      case '+':
        /* Leading "+" is a file name in the non-obsolete form.  */
diff -u coreutils-6.0/debian/patches/61_whoips coreutils-6.9/debian/patches/61_whoips
--- coreutils-6.0/debian/patches/61_whoips
+++ coreutils-6.9/debian/patches/61_whoips
@@ -1,5 +1,5 @@
---- coreutils-6.0/src/who.c.orig	2006-05-27 15:09:15.243817480 -0400
-+++ coreutils-6.0/src/who.c	2006-05-27 15:08:16.704965910 -0400
+--- coreutils-6.9/src/who.c.orig	2006-05-27 15:09:15.243817480 -0400
++++ coreutils-6.9/src/who.c	2006-05-27 15:08:16.704965910 -0400
 @@ -29,6 +29,8 @@
  #include <stdio.h>
  
diff -u coreutils-6.0/debian/patches/63_dd-appenderrors coreutils-6.9/debian/patches/63_dd-appenderrors
--- coreutils-6.0/debian/patches/63_dd-appenderrors
+++ coreutils-6.9/debian/patches/63_dd-appenderrors
@@ -1,5 +1,5 @@
---- coreutils-6.0/src/dd.c.orig	2006-06-26 10:17:02.143014002 -0400
-+++ coreutils-6.0/src/dd.c	2006-06-26 10:20:17.456920048 -0400
+--- coreutils-6.9/src/dd.c.orig	2006-06-26 10:17:02.143014002 -0400
++++ coreutils-6.9/src/dd.c	2006-06-26 10:20:17.456920048 -0400
 @@ -954,6 +954,9 @@
      error (EXIT_FAILURE, 0, _("cannot combine lcase and ucase"));
    if (multiple_bits_set (conversions_mask & (C_EXCL | C_NOCREAT)))
diff -u coreutils-6.0/debian/patches/99_dircolors-shell coreutils-6.9/debian/patches/99_dircolors-shell
--- coreutils-6.0/debian/patches/99_dircolors-shell
+++ coreutils-6.9/debian/patches/99_dircolors-shell
@@ -1,5 +1,5 @@
---- coreutils-6.0/tests/dircolors/simple.orig	2006-03-02 14:33:03.647321310 -0500
-+++ coreutils-6.0/tests/dircolors/simple	2006-03-02 14:34:35.556053512 -0500
+--- coreutils-6.9/tests/dircolors/simple.orig	2006-03-02 14:33:03.647321310 -0500
++++ coreutils-6.9/tests/dircolors/simple	2006-03-02 14:34:35.556053512 -0500
 @@ -18,6 +18,8 @@
  # Turn off localisation of executable's ouput.
  @ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
reverted:
--- coreutils-6.0/debian/patches/99_stat-dtype-test
+++ coreutils-6.0.orig/debian/patches/99_stat-dtype-test
@@ -1,14 +0,0 @@
---- coreutils-6.0/tests/ls/stat-dtype	10 Aug 2006 09:22:33 -0000	1.4
-+++ coreutils-6.0/tests/ls/stat-dtype	16 Aug 2006 09:34:58 -0000
-@@ -16,8 +16,9 @@ fi
- # linux-2.6.15, at least tmpfs and ext3 work, but reiserfs and xfs don't.
- # Also, tmpfs on Solaris 10 lacks d_type support.
- skip=yes
--test `uname -s` = Linux && df -t tmpfs . > /dev/null 2>&1 && skip=no
--df -t ext3 . > /dev/null 2>&1 && skip=no
-+fs_type=`stat -f --printf %T .`
-+test `uname -s` = Linux && test $fs_type = tmpfs && skip=no
-+test $fs_type = ext2/ext3 && skip=no
- test $skip = yes &&
-   {
-     echo "$0: '.' is not on a suitable file system for this test" 1>&2
diff -u coreutils-6.0/debian/control coreutils-6.9/debian/control
--- coreutils-6.0/debian/control
+++ coreutils-6.9/debian/control
@@ -3,8 +3,8 @@
 Section: utils
 Priority: required
 Standards-Version: 3.6.2.0
-Build-Depends: gettext (>= 0.10.37), debhelper, dh-buildinfo, perl-base, texinfo (>= 4.2), groff, dbs, libattr1-dev | not+linux-gnu, libacl1-dev | not+linux-gnu, bzip2, autoconf (>= 2.59.cvs.2006.05.25-1), automake1.9, libselinux1-dev | not+linux-gnu
-Build-Conflicts: automake1.4
+Build-Depends: gettext (>= 0.10.37), debhelper, dh-buildinfo, perl-base, texinfo (>= 4.2), groff, dbs, libattr1-dev | not+linux-gnu, libacl1-dev | not+linux-gnu, bzip2, autoconf (>= 2.59.cvs.2006.05.25-1), automake1.10, libselinux1-dev | not+linux-gnu
+Build-Conflicts: automake1.4, automake1.9
 
 Package: coreutils
 Architecture: any
diff -u coreutils-6.0/debian/changelog coreutils-6.9/debian/changelog
--- coreutils-6.0/debian/changelog
+++ coreutils-6.9/debian/changelog
@@ -1,3 +1,12 @@
+coreutils (6.9-0.1) experimental; urgency=low
+
+  * NMU
+  * removed 99_stat-dtype-test, the code completely changed and may work now
+  * 10_futimens_redeclaration, function name collision with recent glibc
+  * disabling fakeroot when doing checks
+
+ -- Eduard Bloch <blade@debian.org>  Sun, 15 Jul 2007 13:04:31 +0200
+
 coreutils (6.0-1) experimental; urgency=low
 
   * New upstream version 
diff -u coreutils-6.0/debian/rules coreutils-6.9/debian/rules
--- coreutils-6.0/debian/rules
+++ coreutils-6.9/debian/rules
@@ -6,7 +6,7 @@
 
 export DH_COMPAT=4
 
-TAR_DIR = coreutils-6.0
+TAR_DIR = coreutils-6.9
 
 # the dbs rules
 include /usr/share/dbs/dbs-build.mk
@@ -73,7 +73,7 @@
 
 	cd $(BUILD_TREE) && $(MAKE)
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	cd $(BUILD_TREE) && $(MAKE) check
+	unset LD_PRELOAD; cd $(BUILD_TREE) && $(MAKE) check
 endif
 
 	touch build-stamp
only in patch2:
unchanged:
--- coreutils-6.9.orig/debian/patches/10_futimens_redeclaration
+++ coreutils-6.9/debian/patches/10_futimens_redeclaration
@@ -0,0 +1,47 @@
+--- coreutils-6.9/lib/utimens.c	2007-01-18 09:33:34.000000000 +0100
++++ coreutils-6.9/lib/utimens.c	2007-07-15 15:05:59.000000000 +0200
+@@ -75,7 +75,7 @@
+    Return 0 on success, -1 (setting errno) on failure.  */
+ 
+ int
+-futimens (int fd ATTRIBUTE_UNUSED,
++gl_futimens (int fd ATTRIBUTE_UNUSED,
+ 	  char const *file, struct timespec const timespec[2])
+ {
+   /* Some Linux-based NFS clients are buggy, and mishandle time stamps
+@@ -185,5 +185,5 @@
+ int
+ utimens (char const *file, struct timespec const timespec[2])
+ {
+-  return futimens (-1, file, timespec);
++  return gl_futimens (-1, file, timespec);
+ }
+--- coreutils-6.9/lib/utimens.h	2007-02-23 19:25:21.000000000 +0100
++++ coreutils-6.9/lib/utimens.h	2007-07-15 15:10:44.000000000 +0200
+@@ -1,3 +1,3 @@
+ #include <time.h>
+-int futimens (int, char const *, struct timespec const [2]);
++int gl_futimens (int, char const *, struct timespec const [2]);
+ int utimens (char const *, struct timespec const [2]);
+--- coreutils-6.9/src/copy.c	2007-03-18 22:36:43.000000000 +0100
++++ coreutils-6.9/src/copy.c	2007-07-15 15:10:22.000000000 +0200
+@@ -518,7 +518,7 @@
+       timespec[0] = get_stat_atime (src_sb);
+       timespec[1] = get_stat_mtime (src_sb);
+ 
+-      if (futimens (dest_desc, dst_name, timespec) != 0)
++      if (gl_futimens (dest_desc, dst_name, timespec) != 0)
+ 	{
+ 	  error (0, errno, _("preserving times for %s"), quote (dst_name));
+ 	  if (x->require_preserve)
+--- coreutils-6.9/src/touch.c	2007-03-18 22:36:43.000000000 +0100
++++ coreutils-6.9/src/touch.c	2007-07-15 15:11:06.000000000 +0200
+@@ -182,7 +182,7 @@
+       t = timespec;
+     }
+ 
+-  ok = (futimens (fd, (fd == STDOUT_FILENO ? NULL : file), t) == 0);
++  ok = (gl_futimens (fd, (fd == STDOUT_FILENO ? NULL : file), t) == 0);
+ 
+   if (fd == STDIN_FILENO)
+     {
